Debian Bug report logs - #720463
ITP: jline2 -- console input handling library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>

Date: Thu, 22 Aug 2013 09:57:01 UTC

Owned by: "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>

Severity: wishlist

Fixed in version jline2/2.11-1

Done: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>:
Bug#720463; Package wnpp. (Thu, 22 Aug 2013 09:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>. (Thu, 22 Aug 2013 09:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: jline2 -- console input handling library
Date: Thu, 22 Aug 2013 19:55:21 +1000
Package: wnpp
Severity: wishlist
Owner: "Eugenio Cano-Manuel Mendoza" <eugeniocanom@gmail.com>

* Package name    : jline2
  Version:               2.11
  Upstream Author:  The jline2 team and contributors
* URL:         http://jline.github.io/jline2/index.html
* License:           BSD-3-clause
  Programming Lang: Java
  Description     : console input handling library

   JLine is a Java library for handling console input. It is similar in
   functionality to BSD editline and GNU readline. People familiar with the
   readline/editline capabilities for modern shells (such as bash and tcsh)
   will find most of the command editing features of JLine to be familiar.
   .
   Jline2 suppors the current features:
   .
    * Command history - Lines that have been previously entered may be recalled
    and edited and can be persisted so that they are available across sessions
    of your program.
    * Line editing - JLine allows full editing of the current command line and
    attempts to mimic as much of the behavior of GNU Readline as possible,
    including support for both emacs and vi key mappings.
    * Completion - JLine provides a pluggable mechanism for implementing
    command line tab completion (of course completion can be bound to any key
    you wish).
    * Custom Key bindings - Keys may be arbitrarily remapped to perform a
    specific action, and JLine attempts to honor any mapping that is set in
    your existing readline .inputrc file.
    * Character Masking - Input may be gathered from the user without any
    visual feedback. This is useful for prompting for passwords.
    * 99.99% Java - The vast portion of JLine is all Java, using only some
    small bit of native code, provided by the Jansi project, to support
    Windows.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 18 Sep 2013 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>:
You have taken responsibility. (Sat, 21 Sep 2013 04:04:09 GMT) Full text and rfc822 format available.

Notification sent to Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:04:09 GMT) Full text and rfc822 format available.

Message #12 received at 720463-close@bugs.debian.org (full text, mbox):

From: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
To: 720463-close@bugs.debian.org
Subject: Bug#720463: fixed in jline2 2.11-1
Date: Sat, 21 Sep 2013 04:00:30 +0000
Source: jline2
Source-Version: 2.11-1

We believe that the bug you reported is fixed in the latest version of
jline2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720463@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com> (supplier of updated jline2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 18 Sep 2013 09:09:48 +0200
Source: jline2
Binary: libjline2-java
Architecture: source all
Version: 2.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
Description: 
 libjline2-java - console input handling in Java
Closes: 720463
Changes: 
 jline2 (2.11-1) unstable; urgency=low
 .
   * Initial release. (Closes: #720463)
Checksums-Sha1: 
 0e6774678351f346089f4d38bcef08837afaf0a9 2022 jline2_2.11-1.dsc
 fc6f718182831e2d463503cf9be4853e5f1c067a 88933 jline2_2.11.orig.tar.gz
 0d79480577f0fc0330e8d7d199829056d4fa419b 4092 jline2_2.11-1.debian.tar.gz
 78fa215e65d3ae72333a6edf3745c3c9e065fed7 106398 libjline2-java_2.11-1_all.deb
Checksums-Sha256: 
 6bff6723a33bc200c77006825fbeec5e1660fda50ab3bcd9af2836c916b95c2b 2022 jline2_2.11-1.dsc
 9d3514e942e7c4ebc8594977968273e6e492d24850e6ed407b781d98740e68a5 88933 jline2_2.11.orig.tar.gz
 90624550255b7da268b356b4cb4da8266e4b22bc9cee7c2eb2a24c8a6122c28e 4092 jline2_2.11-1.debian.tar.gz
 057e7058355a6163c2b8d568f034ac1aceb6c031aeab8fd5f3ab791413eb3ccd 106398 libjline2-java_2.11-1_all.deb
Files: 
 29b30153cd5ddac991b92fc95860a6c2 2022 java optional jline2_2.11-1.dsc
 d42973de5799eb38d53d59e4a7912598 88933 java optional jline2_2.11.orig.tar.gz
 5e601ecaba71bd6c95e0c6cea9ac7a1f 4092 java optional jline2_2.11-1.debian.tar.gz
 ff62c96545cd3bead11c60fdf3a1f9c5 106398 java optional libjline2-java_2.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSOVLcAAoJEAVLu599gGRCGOkQAJNsytaHlStFQJH7fwORfhd8
j7+yytN+1R/kHIkQFQCykBiBdUxfYsOA3YSofsAgS/WAJFLbLmKrAckZn4rOlGIp
JojlmgZ0x/5y2LGKaLSraBLwY25ygrT728OHhcF/hBs7P/MMI5cWZ66EiTz4NPFC
PNBCAlywOWylOZw6h8wUcAJin2wCRUnDbGm5E4eU2PIjdRREMQExiNPUrWzouK+T
cstHww/5oY5Dh9DTEhxfOilFf09OP+Q2zqCiC41J36jSN5a8JL/nxFGLOMGXEHPV
sv+V+J8312vPoft7N6AA98D1/hvGa0A+DnKbBekq5vKly/kWVP0ngp/f9JHZtFwi
VqTPuqvR5p/GXSmC+qHqJleVoq6VVzq7EEGPBIy4Va7vs/GX1fdOQIHTNigoN/qL
LO9t7OVUKMlqD5SSPDNmhMRc+7JnKE3UxuyyC0xHQrSgH++1KDvbAj9XUYkWmBFA
oMDB5YYZDnvlt69ECVqOcTOZFI+R1L5O2aEu201veSRLWjdRs17qjXAfOFzEfL2l
Rym8wTz/TSl5YY4TUaZlJqKtXV7g1PUypzGEwRa2EBHDNRMhKeSfjHpcR9jVowPW
FsPlp29o81Xt2A5/yN/mHemjWUAn9OWJgmMgJ4BAaaBYwrv17pA08gHwFSqvUOVN
FNnvXUMiC9PPGvOTfSm0
=x/w3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:16:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.